Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlParameterDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlAttrsDef
oracle.jbo.uicli.binding.JUCtrlParameterDef`

All Implemented Interfaces:
  AttributeDef, AttributeHints, Properties, ValidationManager

public class JUCtrlParameterDef
extends JUCtrlAttrsDef
implements AttributeDef, AttributeHints

Field Summary
`static int` | `PARAM_DEFAULT` For internal use only.
`static int` | `PARAM_FINAL` Binding definition has the expression to get to the value that should be used for this parameter.
`static int` | `PARAM_MANDATORY` Parameter value has to be set by the caller.
`static int` | `PARAM_OPTIONAL` Binding definition's value is used only if the parameter is not specifically set by the caller.
`static java.lang.String` | `PNAME_Option`
`static java.lang.String` | `PNAME_Precision`
`static java.lang.String` | `PNAME_PrecisionRule`
`static java.lang.String` | `PNAME_ReadOnly`
`static java.lang.String` | `PNAME_Scale`
`static java.lang.String` | `PNAME_Type`
`static java.lang.String` | `PNAME_Value`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, ATTR_VARIABLE, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Fields inherited from interface oracle.jbo.AttributeHints
`ATTRIBUTE_CTL_DISPLAYHEIGHT, ATTRIBUTE_CTL_DISPLAYWIDTH, ATTRIBUTE_CTL_FORMTYPE, ATTRIBUTE_CTL_TYPE, ATTRIBUTE_DISPLAY_HINT, ATTRIBUTE_DISPLAY_HINT_DISPLAY, ATTRIBUTE_DISPLAY_HINT_HIDE, ATTRIBUTE_FORM_TYPE_DETAIL, ATTRIBUTE_FORM_TYPE_SHORT, ATTRIBUTE_LABEL, ATTRIBUTE_TOOLTIP, CTLTYPE_DATE, CTLTYPE_DEFAULT, CTLTYPE_EDIT, CTLTYPE_IMAGE, CTLTYPE_LIST, CTLTYPE_LOV, CTLTYPE_TOGGLE, FMT_FORMAT, FMT_FORMATTER`

Constructor Summary
`JUCtrlParameterDef()`

Method Summary
`protected oracle.adf.model.binding.DCControlBinding` | `createControlBindingInstance(java.lang.Object control, oracle.adf.model.binding.DCBindingContainer formBnd)`
`boolean` | `displayInShortForm(LocaleContext locale)` Returns true if the attribute is to displayed in the short(summary) form.
`byte` | `getAttributeKind()` *** For internal framework use only ***
`java.lang.String` | `getColumnName()` For internal framework use only ***
`java.lang.String` | `getColumnNameForQuery()` For internal framework use only ***
`int` | `getControlType(LocaleContext locale)` Returns the preferred control type for this attribute
`int` | `getDisplayHeight(LocaleContext locale)` Returns the display width for this attribute
`java.lang.String` | `getDisplayHint(LocaleContext locale)` Retrieves the displya hint that dictates whether this attributr should be visible or not.
`int` | `getDisplayWidth(LocaleContext locale)` Returns the display width for this attribute
`int` | `getElemSQLType()` Returns the jdbc type of the elements of this attribute.
`java.lang.Class` | `getElemType()` Returns the element type of the attribute.
`java.lang.String` | `getExpression()`
`java.lang.String` | `getFormat(LocaleContext locale)` returns the format string stored in the ui hints
`java.lang.String` | `getFormattedAttribute(AttributeList attrList, LocaleContext locale)` Returns the formatted value for the attribute.
`Formatter` | `getFormatter(LocaleContext locale)` returns the formatter object stored in the ui hints
`java.lang.String` | `getFormatterClassName(LocaleContext locale)` returns the formatter class stored in the ui hints
`java.lang.String` | `getHint(LocaleContext locale, java.lang.String sHintName)` Return defaulted hint value based on the hint name
`java.lang.String` | `getHintValue(LocaleContext locale, java.lang.String sHintName)` Return hint value based on the hint name
`int` | `getIndex()` Always return 0.
`java.lang.Class` | `getJavaType()` Returns javatype of the value that bound expression returns.
`java.lang.String` | `getLabel(LocaleContext locale)` Retrieves the label to be used in any attribute prompts
`java.lang.String` | `getLocaleName(LocaleContext locale, java.lang.String sName)` function for retrieving the locale name of a hint
`int` | `getOptionFlag()`
`int` | `getPrecision()` Return Precision value from metadata for this binding.
`int` | `getScale()` Return Scale value from metadata for this binding.
`int` | `getSQLType()` Always return -1.
`java.lang.String` | `getTooltip(LocaleContext locale)` Retrives the tooltip text to be used for this attribute
`AttributeHints` | `getUIHelper()` Returns this, as this object also implements AttributeHints interface
`byte` | `getUpdateableFlag()` Tests if an attribute can be modified.
`boolean` | `hasFormatInformation(LocaleContext locale)` Return true if any format hints have been defined for this attribute.
`void` | `init(java.util.HashMap initValues)`
`protected void` | `initSubType()`
`boolean` | `isApplyPrecision()`
`boolean` | `isFinal()`
`boolean` | `isMandatory()` Tests if an attribute does not allow null values.
`boolean` | `isOptional()`
`boolean` | `isPrimaryKey()` Always return false
`boolean` | `isQueriable()` This binding is not queriable.
`boolean` | `isReadOnly()` Return Updateable flag from metadata for this binding.
`boolean` | `isSelected()` This binding is not queriable.
`java.lang.Object` | `parseFormattedAttribute(java.lang.String sValue, LocaleContext locale)` Strips off the formatting from a string and constructs an instance of the attribute's domain using the 'clean' string as a parameter of the contructor.
`protected void` | `retrieveFromXML(DefElement xmlElement, java.util.HashMap valueTab)`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadChildrenFromXML, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.AttributeDef
`getName`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### PARAM_FINAL

    public static int PARAM_FINAL

  Binding definition has the expression to get to the value that should be used for this parameter.

### PARAM_OPTIONAL

    public static int PARAM_OPTIONAL

  Binding definition's value is used only if the parameter is not specifically set by the caller. This is the default.

### PARAM_MANDATORY

    public static int PARAM_MANDATORY

  Parameter value has to be set by the caller.

### PARAM_DEFAULT

    public static int PARAM_DEFAULT

  For internal use only.

### PNAME_Value

    public static final java.lang.String PNAME_Value

  See Also:
    Constant Field Values

### PNAME_Type

    public static final java.lang.String PNAME_Type

  See Also:
    Constant Field Values

### PNAME_Scale

    public static final java.lang.String PNAME_Scale

  See Also:
    Constant Field Values

### PNAME_Precision

    public static final java.lang.String PNAME_Precision

  See Also:
    Constant Field Values

### PNAME_Option

    public static final java.lang.String PNAME_Option

  See Also:
    Constant Field Values

### PNAME_ReadOnly

    public static final java.lang.String PNAME_ReadOnly

  See Also:
    Constant Field Values

### PNAME_PrecisionRule

    public static final java.lang.String PNAME_PrecisionRule

  See Also:
    Constant Field Values

Constructor Detail

### JUCtrlParameterDef

    public JUCtrlParameterDef()

Method Detail

### initSubType

    protected void initSubType()

  Overrides:
    `initSubType` in class `JUCtrlAttrsDef`

### createControlBindingInstance

    protected oracle.adf.model.binding.DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                                                     oracle.adf.model.binding.DCBindingContainer formBnd)

  Overrides:
    `createControlBindingInstance` in class `JUCtrlAttrsDef`

### getAttributeKind

    public final byte getAttributeKind()

  *** For internal framework use only ***
  Specified by:
    `getAttributeKind` in interface `AttributeDef`
  Returns:
    one of the `ATTR` constants defined for this class.

### getColumnName

    public final java.lang.String getColumnName()

  For internal framework use only ***
  Specified by:
    `getColumnName` in interface `AttributeDef`
  Returns:
    the name of the column.

### getExpression

    public final java.lang.String getExpression()

### getColumnNameForQuery

    public final java.lang.String getColumnNameForQuery()

  For internal framework use only ***
  Specified by:
    `getColumnNameForQuery` in interface `AttributeDef`
  Returns:
    the column name to be used in query.

### getIndex

    public final int getIndex()

  Always return 0.
  Specified by:
    `getIndex` in interface `AttributeDef`
  Returns:
    the index of the attribute row's definition object.

### getJavaType

    public final java.lang.Class getJavaType()

  Returns javatype of the value that bound expression returns.
  Specified by:
    `getJavaType` in interface `AttributeDef`
  Returns:
    the class of the attribute.

### getSQLType

    public final int getSQLType()

  Always return -1.
  Specified by:
    `getSQLType` in interface `AttributeDef`
  Returns:
    the JDBC type.
  See Also:
    `Types`

### getScale

    public final int getScale()

  Return Scale value from metadata for this binding.
  Specified by:
    `getScale` in interface `AttributeDef`
  Returns:
    the scale value for this attribute, if applicable.

### getPrecision

    public final int getPrecision()

  Return Precision value from metadata for this binding.
  Specified by:
    `getPrecision` in interface `AttributeDef`
  Returns:
    the precision value for this attribute.

### isSelected

    public final boolean isSelected()

  This binding is not queriable.
  Specified by:
    `isSelected` in interface `AttributeDef`
  Returns:
    `true` if this attribute is transient.

### isQueriable

    public final boolean isQueriable()

  This binding is not queriable.
  Specified by:
    `isQueriable` in interface `AttributeDef`
  Returns:
    `true` if this attribute is queriable.

### isReadOnly

    public final boolean isReadOnly()

  Return Updateable flag from metadata for this binding.

### getUpdateableFlag

    public final byte getUpdateableFlag()

  Description copied from interface: `AttributeDef`
  Tests if an attribute can be modified.
  Specified by:
    `getUpdateableFlag` in interface `AttributeDef`
  Returns:
    `READONLY`, `UPDATEABLE`, or `UPDATEABLE_WHILE_NEW`.

### isPrimaryKey

    public final boolean isPrimaryKey()

  Always return false
  Specified by:
    `isPrimaryKey` in interface `AttributeDef`
  Returns:
    `true` if this is either a Primary Key attribute or part of the attributes that constitute the Primary Key for a given row.

### isApplyPrecision

    public final boolean isApplyPrecision()

### isMandatory

    public final boolean isMandatory()

  Description copied from interface: `AttributeDef`
  Tests if an attribute does not allow null values.
  Specified by:
    `isMandatory` in interface `AttributeDef`
  Returns:
    `true` if this attribute cannot store a null value

### isOptional

    public final boolean isOptional()

### isFinal

    public final boolean isFinal()

### getOptionFlag

    public int getOptionFlag()

### getUIHelper

    public final AttributeHints getUIHelper()

  Returns this, as this object also implements AttributeHints interface
  Specified by:
    `getUIHelper` in interface `AttributeDef`
  See Also:
    `AttributeHints`

### getElemType

    public final java.lang.Class getElemType()

  Description copied from interface: `AttributeDef`
  Returns the element type of the attribute.

  For VARRAYs, this method returns the class name of the elements that are in the VARRAY.

  Element type is relevant only if the attribute is an array attribute.

  Specified by:
    `getElemType` in interface `AttributeDef`
  Returns:
    the attribute's element class, or `null` if the attribute is not an array attribute.

### getElemSQLType

    public final int getElemSQLType()

  Description copied from interface: `AttributeDef`
  Returns the jdbc type of the elements of this attribute.

  For VARRAYs, this method returns the jdbc type of the elements that are in the VARRAY.

  Element type is relevant only if the attribute is an array attribute.

  Specified by:
    `getElemSQLType` in interface `AttributeDef`
  Returns:
    the jdbc type (java.sql.Types.*) of this attribute's elements, or `java.sql.Types.NULL` if this attribute is not an array attribute.

### getLabel

    public final java.lang.String getLabel(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Retrieves the label to be used in any attribute prompts
  Specified by:
    `getLabel` in interface `AttributeHints`

### getTooltip

    public final java.lang.String getTooltip(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Retrives the tooltip text to be used for this attribute
  Specified by:
    `getTooltip` in interface `AttributeHints`

### getDisplayHint

    public final java.lang.String getDisplayHint(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Retrieves the displya hint that dictates whether this attributr should be visible or not. The two possible values are: ATTRIBUTE_DISPLAY_HINT_DISPLAY = "Display"; ATTRIBUTE_DISPLAY_HINT_HIDE = "Hide";
  Specified by:
    `getDisplayHint` in interface `AttributeHints`

### getControlType

    public final int getControlType(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns the preferred control type for this attribute
  Specified by:
    `getControlType` in interface `AttributeHints`

### getDisplayWidth

    public final int getDisplayWidth(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns the display width for this attribute
  Specified by:
    `getDisplayWidth` in interface `AttributeHints`

### getDisplayHeight

    public final int getDisplayHeight(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns the display width for this attribute
  Specified by:
    `getDisplayHeight` in interface `AttributeHints`

### getHint

    public final java.lang.String getHint(LocaleContext locale,
                                          java.lang.String sHintName)

  Description copied from interface: `AttributeHints`
  Return defaulted hint value based on the hint name
  Specified by:
    `getHint` in interface `AttributeHints`

### getHintValue

    public final java.lang.String getHintValue(LocaleContext locale,
                                               java.lang.String sHintName)

  Description copied from interface: `AttributeHints`
  Return hint value based on the hint name
  Specified by:
    `getHintValue` in interface `AttributeHints`

### getFormat

    public final java.lang.String getFormat(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  returns the format string stored in the ui hints
  Specified by:
    `getFormat` in interface `AttributeHints`

### getFormatterClassName

    public final java.lang.String getFormatterClassName(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  returns the formatter class stored in the ui hints
  Specified by:
    `getFormatterClassName` in interface `AttributeHints`

### getFormatter

    public final Formatter getFormatter(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  returns the formatter object stored in the ui hints
  Specified by:
    `getFormatter` in interface `AttributeHints`

### hasFormatInformation

    public final boolean hasFormatInformation(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Return true if any format hints have been defined for this attribute. This function should eb used to bracket any calls to the formatting api.
  Specified by:
    `hasFormatInformation` in interface `AttributeHints`

### getFormattedAttribute

    public final java.lang.String getFormattedAttribute(AttributeList attrList,
                                                        LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns the formatted value for the attribute. The AttributeList parameter will usually be an instance of the oracle.jbo.Row class.
  Specified by:
    `getFormattedAttribute` in interface `AttributeHints`

### parseFormattedAttribute

    public final java.lang.Object parseFormattedAttribute(java.lang.String sValue,
                                                          LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Strips off the formatting from a string and constructs an instance of the attribute's domain using the 'clean' string as a parameter of the contructor.
  Specified by:
    `parseFormattedAttribute` in interface `AttributeHints`

### displayInShortForm

    public final boolean displayInShortForm(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns true if the attribute is to displayed in the short(summary) form.
  Specified by:
    `displayInShortForm` in interface `AttributeHints`

### getLocaleName

    public final java.lang.String getLocaleName(LocaleContext locale,
                                                java.lang.String sName)

  Description copied from interface: `AttributeHints`
  function for retrieving the locale name of a hint
  Specified by:
    `getLocaleName` in interface `AttributeHints`

### retrieveFromXML

    protected void retrieveFromXML(DefElement xmlElement,
                                   java.util.HashMap valueTab)

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUCtrlValueDef`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.